package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class Seal extends DataBase implements ISeal
{
    public Seal()
    {
        super();
        registerInterface(ISeal.class, this);
    }
    public Seal(Context ctx)
    {
        super(ctx);
        registerInterface(ISeal.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4552A88E");
    }
    private SealController getController() throws BOSException
    {
        return (SealController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SealInfo getSealInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSealInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SealInfo getSealInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSealInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SealInfo getSealInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSealInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SealCollection getSealCollection() throws BOSException
    {
        try {
            return getController().getSealCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SealCollection getSealCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSealCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SealCollection getSealCollection(String oql) throws BOSException
    {
        try {
            return getController().getSealCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步印章-User defined method
     */
    public void syncSeals() throws BOSException, EASBizException
    {
        try {
            getController().syncSeals(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}